% File created by Yuandong Tian, Oct. 5, 2009
% Email: yuandong@andrew.cmu.edu
% generate the synthesis distortion. 

% make the random generator back to its initial state.
randn('state', 0);

img = rgb2gray(im2double(imread('binary.jpg')));
img = img(320:463, :);

nFrame = 500;
c = 0.8;
alpha = 5;

[warp, levels] = getWarpWater(img, nFrame, c, alpha);
frames = simulate(img, warp, true);
